Isi
Indeks 🔎︎

# Fungsi StrComp

Membandingkan dua string dan mengembalikan nilai integer yang mewakili hasil perbandingan.

## Sintaksis:

    StrComp (Teks1 Sebagai String, Text2 Sebagai String[, Compare])

## Nilai hasil:

Integer

## Parameter:

Teks1: Ekspresi string apa pun.

Teks2: Ekspresi string apa pun

Bandingkan: Parameter opsional ini menetapkan metode perbandingan. Jika Compare = 1, perbandingan string peka huruf besar-kecil. Jika Compare = 0, tidak ada perbedaan yang dibuat antara huruf besar dan huruf kecil.

### Nilai hasil

- Jika Teks1 < Teks2 fungsi mengembalikan -1

- Jika Teks1 = Teks2 fungsi mengembalikan 0

- Jika Teks1 > Teks2 fungsi mengembalikan 1

### Kode kesalahan:

5 Tidak sah dalam pemanggilan prosedur

## Contoh:

    Sub ExampleStrComp
    Dim iVar As Single
    Dim sVar As String
        iVar = 123.123
        sVar = Str$(iVar)
        MsgBox strcomp(sVar , Str$(iVar),1)
    End Sub